# This file created by conda-build 3.27.0
# ------------------------------------------------

package:
  name: libgrpc
  version: 1.60.0
source:
  patches:
    - patches/0003-Link-against-grpc.patch
    - patches/0004-force-protoc-executable.patch
    - patches/0005-switch-to-C-17-for-grpcio.patch
    - patches/0006-fix-abseil-setup.patch
    - patches/0007-mark-linkage-of-c-ares-re2-zlib-as-private.patch
    - patches/0008-link-grpc-_unsecure-to-grpc.patch
  sha256: 437068b8b777d3b339da94d3498f1dc20642ac9bfa76db43abdd522186b1542b
  url: https://github.com/grpc/grpc/archive/v1.60.0.tar.gz
build:
  number: 0
  run_exports:
    - libgrpc >=1.60.0,<1.61.0a0
  string: hd6c4280_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.40 hf600244_0
    - binutils_linux-64 2.40 hbdbef99_2
    - bzip2 1.0.8 hd590300_5
    - c-ares 1.22.1 hd590300_0
    - ca-certificates 2023.11.17 hbcca054_0
    - cmake 3.27.9 hcfe8598_0
    - gcc_impl_linux-64 12.3.0 he2b93b0_3
    - gcc_linux-64 12.3.0 h76fc315_2
    - gxx_impl_linux-64 12.3.0 he2b93b0_3
    - gxx_linux-64 12.3.0 h8a814eb_2
    - kernel-headers_linux-64 2.6.32 he073ed8_16
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.2 h659d440_0
    - ld_impl_linux-64 2.40 h41732ed_0
    - libabseil 20230802.1 cxx17_h59595ed_0
    - libcurl 8.4.0 hca28451_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libexpat 2.5.0 hcb278e6_1
    - libgcc-devel_linux-64 12.3.0 h8bca6fd_103
    - libgcc-ng 13.2.0 h807b86a_3
    - libgomp 13.2.0 h807b86a_3
    - libnghttp2 1.58.0 h47da74e_0
    - libprotobuf 4.24.4 hf27288f_0
    - libsanitizer 12.3.0 h0f45ef3_3
    - libssh2 1.11.0 h0841786_0
    - libstdcxx-devel_linux-64 12.3.0 h8bca6fd_103
    - libstdcxx-ng 13.2.0 h7e041cc_3
    - libuv 1.46.0 hd590300_0
    - libzlib 1.2.13 hd590300_5
    - ncurses 6.4 h59595ed_2
    - ninja 1.11.1 h924138e_0
    - openssl 3.2.0 hd590300_1
    - rhash 1.4.4 hd590300_0
    - sysroot_linux-64 2.12 he073ed8_16
    - xz 5.2.6 h166bdaf_0
    - zstd 1.5.5 hfc55251_0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - c-ares 1.22.1 hd590300_0
    - ca-certificates 2023.11.17 hbcca054_0
    - libabseil 20230802.1 cxx17_h59595ed_0
    - libgcc-ng 13.2.0 h807b86a_3
    - libgomp 13.2.0 h807b86a_3
    - libprotobuf 4.24.4 hf27288f_0
    - libre2-11 2023.06.02 h7a70373_0
    - libstdcxx-ng 13.2.0 h7e041cc_3
    - libzlib 1.2.13 hd590300_5
    - openssl 3.2.0 hd590300_1
    - re2 2023.06.02 h2873b5e_0
    - zlib 1.2.13 hd590300_5
  run:
    - c-ares >=1.22.1,<2.0a0
    - libabseil =*=cxx17*
    - libabseil >=20230802.1,<20230803.0a0
    - libgcc-ng >=12
    - libprotobuf >=4.24.4,<4.24.5.0a0
    - libre2-11 >=2023.6.2,<2024.0a0
    - libstdcxx-ng >=12
    - libzlib >=1.2.13,<1.3.0a0
    - openssl >=3.2.0,<4.0a0
    - re2
  run_constrained:
    - grpc-cpp =1.60.0
test:
  commands:
    - test -f $PREFIX/lib/libgpr.so
    - test ! -f $PREFIX/lib/libgpr.a
    - test -f $PREFIX/lib/libgrpc.so
    - test ! -f $PREFIX/lib/libgrpc.a
    - test -f $PREFIX/lib/libgrpc_unsecure.so
    - test ! -f $PREFIX/lib/libgrpc_unsecure.a
    - test -f $PREFIX/lib/libgrpc++.so
    - test ! -f $PREFIX/lib/libgrpc++.a
    - test -f $PREFIX/lib/libgrpc++_unsecure.so
    - test ! -f $PREFIX/lib/libgrpc++_unsecure.a
    - test -f $PREFIX/lib/libaddress_sorting.so
    - test ! -f $PREFIX/lib/libaddress_sorting.a
    - test -f $PREFIX/bin/grpc_cpp_plugin
    - test -f $PREFIX/bin/grpc_csharp_plugin
    - test -f $PREFIX/bin/grpc_node_plugin
    - test -f $PREFIX/bin/grpc_objective_c_plugin
    - test -f $PREFIX/bin/grpc_php_plugin
    - test -f $PREFIX/bin/grpc_python_plugin
    - test -f $PREFIX/bin/grpc_ruby_plugin
    - pkg-config --print-errors --exact-version "37.0.0" gpr
    - pkg-config --print-errors --exact-version "37.0.0" grpc
    - pkg-config --print-errors --exact-version "37.0.0" grpc_unsecure
    - pkg-config --print-errors --exact-version "1.60.0" grpc++
    - pkg-config --print-errors --exact-version "1.60.0" grpc++_unsecure
    - ./test_grpc.sh
    - cd cmake_test
    - cmake -GNinja -DCMAKE_CXX_STANDARD=17 $CMAKE_ARGS .
    - cmake --build .
  files:
    - cmake_test/
    - hello.proto
    - test_grpc.bat
    - test_grpc.sh
  requires:
    - cmake
    - gcc_linux-64 12.*
    - gxx_linux-64 12.*
    - ninja
    - pkg-config
    - zlib
  source_files:
    - examples/
about:
  description: 'gRPC is a modern, open source, high-performance remote procedure call

    (RPC) framework that can run anywhere. gRPC enables client and server

    applications to communicate transparently, and simplifies the building

    of connected systems.


    This package contains the gRPC C++ libraries and header files, as well

    as the code generation plugins.

    '
  dev_url: https://github.com/grpc/grpc
  doc_url: https://grpc.io/docs/
  home: https://grpc.io/
  license: Apache-2.0
  license_family: APACHE
  license_file: LICENSE
  summary: gRPC - A high-performance, open-source universal RPC framework
extra:
  copy_test_source_files: true
  feedstock-name: grpc-cpp
  final: true
  flow_run_id: azure_20231130.1.1
  recipe-maintainers:
    - h-vetinari
    - mariusvniekerk
    - pitrou
    - wesm
    - xhochy
  remote_url: https://github.com/conda-forge/grpc-cpp-feedstock
  sha: 32fdbeceb9796b9b583e87cce8979b2d0eb7cc70
